Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 17 Apr 2014, 11:30
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lupu-515 Beta New Version DEC 18
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 6 of 210 [3149 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, ..., 208, 209, 210 Next
Author Message
01micko


Joined: 11 Oct 2008
Posts: 7547
Location: qld

PostPosted: Sat 16 Oct 2010, 22:14    Post subject:  

Quickpet 4alpha4

********************************************
Note: this is alpha software for testing and evaluation, no responsibility accepted for malfunctions, use at own risk. It is recommended you backup your pupsave or important data
************************************************


This is the long awaited [ Rolling Eyes ] generic version of quickpet. While it is designed for lupu in lupu it has undergone major reconstruction to theoretically run in any woof based puppy. At the moment only lupu, quirky and wary are supported and only the lupu version is full featured. You shouldn't notice much difference in the user interface excepting that if there is more than one particular version of a program in the official Lucid Puppy repo then you will be offered a choice in a popup menu as to which version you want. Firefox, Seamonkey and Opera are good examples to try out (I think at this stage they are the only ones).

The advantage to this is that the Benevolent Dictator (playdayz for us Wink ) need do nothing more than upload an updated package to the official repo and reconcile the /root/.packages/Packages-puppy-*-official file by way of an update pet in the 'News' page. (In our case with lupu * = "lucid" .)

This should run ok on all lupu/luci/luma versions of lucid Puppy, though I can't guarantee the results of installing the later .pets in for example Puppy 5, but if anyone wants to try it out do so with care.

________________________________________

How do I install it?

Firstly, delete /root/.quickpet (hidden folder)

Then, Download all the attached packages and install in this order:
    quickpet_generic-4alpha4.pet
    quickpet_lupu-4alpha4.pet
    repo_update-2010-10-17.pet


The install order is important.

___________________________
Known issues
    wine will show a bunch of programs dependent on wine
    no help for nvidia drivers as yet


TO DO
    This will be going to it's own thread when wary/quirky/* support is up to speed.
    fix nvidia help
    add support for other video driver, intel, ATI (will need help Wink )


Feedback please Cool

Enjoy, cheers.
quickpet_generic-4alpha4.pet
Description  install this FIRST
pet

 Download 
Filename  quickpet_generic-4alpha4.pet 
Filesize  59.44 KB 
Downloaded  613 Time(s) 
quickpet_lupu-4alpha4.pet
Description  install this SECOND
pet

 Download 
Filename  quickpet_lupu-4alpha4.pet 
Filesize  69.24 KB 
Downloaded  300 Time(s) 
repo_update-2010-10-17.pet
Description 
pet

 Download 
Filename  repo_update-2010-10-17.pet 
Filesize  4.97 KB 
Downloaded  308 Time(s) 

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sat 16 Oct 2010, 22:45    Post subject:  

I can't wait to build a new luci-232 with 01micko's latest Quickpet. The pieces of Lupu-5.2 are falling into place one by one, thanks to some hard and creative workers.

Here is a peripheral piece of the puzzle: an sfs of OpenOffice that has been tested in luci-231. This is the first one I hope to test with the new one-click way to install sfs's, but for now you need to do it the old-fashioned way. Download it into /mnt/home and then tell Bootmanager that it is one of the sfs's to enable, and then reboot It has menu items under Documents.

And the most amazing thing is--it's fast. I know that is hard to believe given some previous versions of OpenOffice--but this is fast enough to use easily--I am really impressed.

http://www.diddywahdiddy.net/Puppy500/Go-OO-3.2.1-Lucid.sfs

And I hope people saw the good news yesterday, that lupu's mplayer now plays audio for 3gp and mp4 mobile phone videos. With that I think we can match it against anything in terms of quality and speed. We will post some test files with the next version.

Last edited by playdayz on Sun 17 Oct 2010, 13:40; edited 4 times in total
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sat 16 Oct 2010, 23:40    Post subject:  

Quote:
Feedback please


ref Quickpet

Installed Opera
Widgets
and java (java does not work - but that is the pet - not quickpet)
Larry says java is solved or updated?
I want to click and go . . . Embarassed

New Quickpet seems to be working fine for me . . . Cool

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sat 16 Oct 2010, 23:57    Post subject:  



Example of 3 tier menu not working
Xara is repeated
'Graphic processing' can be replaced with one of the other 3rd tier
options
then add third program
'Graphic processing' is largely redundant Embarassed

Same under 'Business' in menu Cool

Has Jemimah found a simple chat program?
Looking forward to simple SFS

Glad to report that openbox based Luci-231 is my main OS
and working sufficient for day to day use
Looking forward to 232 Smile

Puppy Linux
Open Sesame

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
James C


Joined: 26 Mar 2009
Posts: 5435
Location: Kentucky

PostPosted: Sun 17 Oct 2010, 00:05    Post subject:  

01micko wrote:

Feedback please Cool


New Quickpet installed with no problems.Installed Opera 10.62(nice having a choice) and a couple of other pets....no problems.
Back to top
View user's profile Send private message 
jpeps

Joined: 31 May 2008
Posts: 3219

PostPosted: Sun 17 Oct 2010, 00:21    Post subject:  

playdayz wrote:

And the most amazing thing is--it's fast. I know that is hard to believe given some previous versions of OpenOffice--but this is fast enough to use easily--I am really impressed.

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet-packages-lucid/Go-OO-3.2.1-Lucid.sfs
.


I gave up on Go-OO when it had cups printer issues, where the cutback-OO worked well. I haven't tried the posted version.
Back to top
View user's profile Send private message 
jpeps

Joined: 31 May 2008
Posts: 3219

PostPosted: Sun 17 Oct 2010, 00:53    Post subject: Re: xorgwizard and touchpad  

shinobar wrote:
jpeps wrote:
but I have to disable my Synaptics touchpad from the bios.

Do you mean you like to disable the touchpad?
Flsynclient and the synclient-wrapper could not be a help?


Actually, I'm using it without issue on a Dell Inspiron 4000 running 5.2. In the past, I've eventually had to disable them when they become erratic (cursor starts jumping around the page, etc)....no problem here after running xorgwizard (or other Dell laptops) with SynPS/2 Synaptics Touchpad.
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Sun 17 Oct 2010, 01:04    Post subject:  

Unable to download the OpenOffice above:

Code:
Forbidden

You don't have permission to access /pub/linux/distributions/puppylinux/pet-packages-lucid/Go-OO-3.2.1-Lucid.sfs on this server

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
Tasgarth

Joined: 06 Oct 2008
Posts: 202
Location: France, Besancon

PostPosted: Sun 17 Oct 2010, 02:59    Post subject: new quickpet and  

01micko wrote:

Quote:
Feedback please Cool



New Quickpet installed with no problems.Installed Seamonkey and Opera 10.62....no problems.

playdayz :
Unable to download the OpenOffice
permissions :Forbidden
new2_quickpet.png
Description 
png

 Download 
Filename  new2_quickpet.png 
Filesize  432.9 KB 
Downloaded  279 Time(s) 
new_quickpet.png
Description 
png

 Download 
Filename  new_quickpet.png 
Filesize  593.45 KB 
Downloaded  267 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
01micko


Joined: 11 Oct 2008
Posts: 7547
Location: qld

PostPosted: Sun 17 Oct 2010, 06:57    Post subject:  

new version of wmswitcher.

It will detect the 5 main WMs for lupu: Jwm, Icewm, Xfce4, Openbox, Lxde.

Note: if you install xfce you will need to reinstall this pet. (yes, that needs to be fixed Wink )

Cheers
wmswitch.png
 Description   
 Filesize   26.72 KB
 Viewed   1872 Time(s)

wmswitch.png

wmswitcher-0.6.pet
Description 
pet

 Download 
Filename  wmswitcher-0.6.pet 
Filesize  14.84 KB 
Downloaded  289 Time(s) 

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sun 17 Oct 2010, 07:40    Post subject:  

Quote:
new version of wmswitcher


Working OK for me
and remarkably I was playing an internet radio station and it continued playing whilst switching from Icewm to xfce Cool

Puppy Linux
Choice Pooch

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sun 17 Oct 2010, 12:38    Post subject:  

Quote:
Larry says java is solved or updated?


Solved in my experimenting here at home--so we should have a jave ready to go before or at release.

Also an OpnOffice ready to go. I am sorry people about that OpenOffice not downloading. I don't understand unless it is the sfs ending. We often download from ibiblio.

I will work on this now. I will upload to another server rather than fight with ibiblio. Wink
Back to top
View user's profile Send private message 
Tasgarth

Joined: 06 Oct 2008
Posts: 202
Location: France, Besancon

PostPosted: Sun 17 Oct 2010, 13:22    Post subject: Go-OO-3.2.1-Lucid.sfs
Subject description: Go-OO-3.2.1-Lucid.sfs
 

playdayz,

Quote:
http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet-packages-lucid/Go-OO-3.2.1-Lucid.sfs


Go-OO-3.2.1-Lucid.sfs file does not exist in 'http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet-packages-lucid/' repertory.
It's Go-OO-3.2.1-Lucid.gz and this file is also 'access forbidden'.
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sun 17 Oct 2010, 13:44    Post subject:  

Quote:
o-OO-3.2.1-Lucid.sfs file does not exist in 'http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet-packages-lucid/' repertory.
It's Go-OO-3.2.1-Lucid.gz and this file is also 'access forbidden'.


Yeah, I did that to see if it made a difference. it was the darn permissions. This one works.

Go-Openoffice-3.2.1-Lucid Now downloading from both urls.

http://www.diddywahdiddy.net/Puppy500/Go-OO-3.2.1-Lucid.sfs

Please advise. I first tried the Ubuntu OOO, but it wanted too many dependencies (it is based on Go-OO). I used Go-OO because I had built a package before that worked. I never used OOO because it was so slow, which is why I am impressed with the speed.

-------------------------------------------------------------------
Quote:
Example of 3 tier menu not working
Xara is repeated
'Graphic processing' can be replaced with one of the other 3rd tier

Barry has built openbox and fbpanel into Woof, but I guess the menus have not received as much testing as jwm and icemwm.
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Sun 17 Oct 2010, 13:58    Post subject:  

Hi 01micko,

New version of wmswitcher and Quickpet v4alpha4 both work fine.

Also installed your Quickpet v4alpha4 in Wary 0.9. It installed fine, however, as expected, applications were not in the database. Although, More pets and SFS links worked fine.

Thanks,
Jim
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 6 of 210 [3149 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, ..., 208, 209, 210 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1140s ][ Queries: 13 (0.0335s) ][ GZIP on ]